%define pkg_name        Text-Thesaurus-ISO
%define pkg_version     1.0
%define rpm_pkg_version 1.0
%define rpm_pkg_release 3.n0i.3

Summary:       Class to handle ISO thesaurii
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MH/MHAMILTON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module is intended to support the using of ISO thesaurus files from
Perl scripts. It allows rapid access to individual thesaurus records based
on the terms that they cover and also provides routines to allow individual
items in the thesaurus record to be retrieved.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -l}
%doc README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.0-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer 0.1

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.0-2.n0i.2
- automatic rebuild (perl 5.8.8)

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 1.0-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7
